Subject: [alpine-aports] [PATCH 1/9] testing/py-httplib2: make cacerts.txt world readable

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:03 -0500

---
 testing/py-httplib2/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/testing/py-httplib2/APKBUILD b/testing/py-httplib2/APKBUILD
index 18acc0a..0b4e986 100644
--- a/testing/py-httplib2/APKBUILD
+++ b/testing/py-httplib2/APKBUILD
@@ -3,7 +3,7 @@
 pkgname=py-httplib2
 _pkgname=httplib2
 pkgver=0.9
-pkgrel=0
+pkgrel=1
 pkgdesc="A Python HTTP client library"
 url="https://github.com/jcgregorio/httplib2"
 arch="noarch"
@@ -34,6 +34,7 @@ build() {
 package() {
 	cd "$_builddir"
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	chmod o+r $pkgdir/usr/lib/python2.7/site-packages/httplib2/cacerts.txt
 }
 
 md5sums="09d8e8016911fc40e2e4c58f1aa3ec24  httplib2-0.9.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:04 -0500

http://pyicu.osafoundation.org/
Python binding for ICU
---
 testing/py-icu/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-icu/APKBUILD

diff --git a/testing/py-icu/APKBUILD b/testing/py-icu/APKBUILD
new file mode 100644
index 0000000..c7b1bee
--- /dev/null
+++ b/testing/py-icu/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-icu
+_pkgname=PyICU
+pkgver=1.9.2
+pkgrel=0
+pkgdesc="Python binding for ICU"
+url="http://pyicu.osafoundation.org/"
+arch="all"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev icu-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a104ea78918a8b1f4ecbbb1063edb46b  PyICU-1.9.2.tar.gz"
+sha256sums="9b580801eb17b09a5e0e8ef7d3b29170361ed505c5f954b723c1b48a1e502bb6  PyICU-1.9.2.tar.gz"
+sha512sums="1964464f5385dc8f65c4b88b63cd9f34ced1ae365562386708d92fc5c40090a40554578bd5e90d0a996ca6f012b3d2a8ab6e0fd07968e94a0dfe18894e8f08f4  PyICU-1.9.2.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:05 -0500

http://code.google.com/p/python-gflags
Commandline flags module for Python
---
 testing/py-gflags/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-gflags/APKBUILD

diff --git a/testing/py-gflags/APKBUILD b/testing/py-gflags/APKBUILD
new file mode 100644
index 0000000..aa5b3e3
--- /dev/null
+++ b/testing/py-gflags/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer: Peter Bui <[email-masked]>
+pkgname=py-gflags
+pkgver=2.0
+pkgrel=0
+pkgdesc="Commandline flags module for Python"
+url="http://code.google.com/p/python-gflags"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://python-gflags.googlecode.com/files/python-gflags-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/python-gflags-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="c3ab70218dbf945cc32c0cd64c51d162  python-gflags-2.0.tar.gz"
+sha256sums="311066217acb8cd8519a4c872cb3fe64f02bcf105802bb761ab0de55c2386cd6  python-gflags-2.0.tar.gz"
+sha512sums="28566acffd092f09105f3b9ad3be4ada11f024f940914e6efb103907f3779283c63bdfe13edad83aa470c5e887b49ad8b05031fc1895f3bad9b5d9c368bbfe18  python-gflags-2.0.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:06 -0500

http://pypi.python.org/pypi/pyasn1-modules
A collection of ASN.1-based protocols modules
---
 testing/py-asn1-modules/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-asn1-modules/APKBUILD

diff --git a/testing/py-asn1-modules/APKBUILD b/testing/py-asn1-modules/APKBUILD
new file mode 100644
index 0000000..5f27b5d
--- /dev/null
+++ b/testing/py-asn1-modules/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-asn1-modules
+_pkgname=pyasn1-modules
+pkgver=0.0.5
+pkgrel=0
+pkgdesc="A collection of ASN.1-based protocols modules"
+url="http://pypi.python.org/pypi/pyasn1-modules"
+arch="noarch"
+license="BSD"
+depends="python py-openssl py-asn1"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="6c5c9dd61a5784ff22695ac233cb11f8  pyasn1-modules-0.0.5.tar.gz"
+sha256sums="be65f00ed28e30756f1ef39377cb382480a2368699179d646a84d79fe9349941  pyasn1-modules-0.0.5.tar.gz"
+sha512sums="b8fa41ed28087097502e8362022d819fe6914511c09f60f64f173c5674684fa8c45de23ce718700001d9f2d9b11adc17657d7cfd4cb24ea740b8d14eba8d8161  pyasn1-modules-0.0.5.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:07 -0500

http://stuvel.eu/rsa
Pure-Python RSA implementation
---
 testing/py-rsa/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-rsa/APKBUILD

diff --git a/testing/py-rsa/APKBUILD b/testing/py-rsa/APKBUILD
new file mode 100644
index 0000000..6c69563
--- /dev/null
+++ b/testing/py-rsa/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-rsa
+_pkgname=rsa
+pkgver=3.1.4
+pkgrel=0
+pkgdesc="Pure-Python RSA implementation"
+url="http://stuvel.eu/rsa"
+arch="noarch"
+license="BSD"
+depends="python py-asn1"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b6b1c80e1931d4eba8538fd5d4de1355  rsa-3.1.4.tar.gz"
+sha256sums="e2b0b05936c276b1edd2e1525553233b666df9e29b5c3ba223eed738277c82a0  rsa-3.1.4.tar.gz"
+sha512sums="b6ff7b91909b58359bda5da99ca4297337da5985c5430d2e96663c8bcf599b2180d54afa3316d4c3b11a8f79ddcb1f41d6942a0c8db2f0d27221c3aee132f3c1  rsa-3.1.4.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:08 -0500

https://github.com/google/oauth2client
A client library for OAuth 2.0
---
 testing/py-oauth2client/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-oauth2client/APKBUILD

diff --git a/testing/py-oauth2client/APKBUILD b/testing/py-oauth2client/APKBUILD
new file mode 100644
index 0000000..63c0173
--- /dev/null
+++ b/testing/py-oauth2client/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-oauth2client
+_pkgname=oauth2client
+pkgver=1.4.11
+pkgrel=0
+pkgdesc="A client library for OAuth 2.0"
+url="https://github.com/google/oauth2client"
+arch="noarch"
+license="Apache"
+depends="python py-asn1 py-httplib2 py-asn1-modules py-rsa py-six"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ace6b6e4c9cd17fd611d9984d6746c7b  oauth2client-1.4.11.tar.gz"
+sha256sums="dcc9bfaa544791206ca86a2f311872f0c4c1e81b068775c3da16abe72a506873  oauth2client-1.4.11.tar.gz"
+sha512sums="46e5b475fd032bc1de6cb4a404747a62988fc337c9c73a329cf4127fc4a1966124a506316fb4a4e90ea68e78103cab571cd42f9eb683ce1413c8a501ace5ed91  oauth2client-1.4.11.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:09 -0500

http://vobject.skyhouseconsulting.com
Module for parsing and generating vCard and vCalendar files
---
 testing/py-vobject/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-vobject/APKBUILD

diff --git a/testing/py-vobject/APKBUILD b/testing/py-vobject/APKBUILD
new file mode 100644
index 0000000..f771442
--- /dev/null
+++ b/testing/py-vobject/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-vobject
+_pkgname=vobject
+pkgver=0.8.1c
+pkgrel=0
+pkgdesc="Module for parsing and generating vCard and vCalendar files"
+url="http://vobject.skyhouseconsulting.com"
+arch="noarch"
+license="Apache"
+depends="python py-dateutil py-icu"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://vobject.skyhouseconsulting.com/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="c9686dd74d39fdae140890d9c694c076  vobject-0.8.1c.tar.gz"
+sha256sums="594113117f2017ed837c8f3ce727616f9053baa5a5463a7420c8249b8fc556f5  vobject-0.8.1c.tar.gz"
+sha512sums="3c7071e040172c8ef9e93bb818fb3c5f04912322adaaf56794b00005ff1ee787d54ad6860835be4fb123fa4215c104e1cbc4031dcdab53e96f7dbed771c0fa79  vobject-0.8.1c.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:10 -0500

https://code.google.com/p/google-api-python-client/
Google API Client Library for Python
---
 testing/py-google-api-python-client/APKBUILD | 41 ++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-google-api-python-client/APKBUILD

diff --git a/testing/py-google-api-python-client/APKBUILD b/testing/py-google-api-python-client/APKBUILD
new file mode 100644
index 0000000..9ccbeae
--- /dev/null
+++ b/testing/py-google-api-python-client/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=py-google-api-python-client
+_pkgname=google-api-python-client
+pkgver=1.4.0
+pkgrel=0
+pkgdesc="Google API Client Library for Python"
+url="https://code.google.com/p/google-api-python-client/"
+arch="noarch"
+license="Apache"
+depends="python py-httplib2 py-oauth2client py-uritemplate py-six"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="48e600d261378804bf019c6d26676c1e  google-api-python-client-1.4.0.tar.gz"
+sha256sums="695c046789540db5ce4deefe3836e78a2cc002d5e10a41b936c6907f4ec9c96c  google-api-python-client-1.4.0.tar.gz"
+sha512sums="a41ee1baa5ed2cffc0de8e97a1ce3428c85fed50cb733ded15d9acf1cdfeb95be1b66c36bfbfbc5a48b9590639b8aa01f47d2ba011e4374e80b094f4a48a6d90  google-api-python-client-1.4.0.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Wed, 3 Jun 2015 01:04:11 -0500

https://github.com/insanum/gcalcli
Google Calendar Command Line Interface
---
 testing/gcalcli/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/gcalcli/APKBUILD

diff --git a/testing/gcalcli/APKBUILD b/testing/gcalcli/APKBUILD
new file mode 100644
index 0000000..3324d86
--- /dev/null
+++ b/testing/gcalcli/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=gcalcli
+_pkgname=gcalcli
+pkgver=3.2
+pkgrel=0
+pkgdesc="Google Calendar Command Line Interface"
+url="https://github.com/insanum/gcalcli"
+arch="noarch"
+license="MIT"
+depends="python py-google-api-python-client py-dateutil py-gflags py-vobject"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5deba37645e07bc59c51d76b92da0697  gcalcli-3.2.tar.gz"
+sha256sums="1a4dda5f0871846c45a5864114724a423e33d5942f933d83c57467589246ac01  gcalcli-3.2.tar.gz"
+sha512sums="4c3c3b78d8622a6c4481139410d8520b8a8d448d69f7d1c6337ec2739883a1015018aef3ebc70632544d0089bfbe8d57df2a004733fa47ae008ad547738e4b4c  gcalcli-3.2.tar.gz"
-- 
2.4.1

---